## tqt 14.2.0~pre257

=== debian/changelog ===
tqt (4:14.2.0~pre257-0ubuntu26.04.0+3~a) resolute; urgency=low

  * Automated git build for e1d2885006045b6e95945f9425885cdb90c8fcc4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 08 Feb 2026 03:11:22 +0100
